makeBinaryTreatments<-function(adf, treatment){
  idx<-which(names(adf) %in% treatment)
  resp<-names(adf)[-idx][1]
  mod1<-as.formula(paste(resp, "~", treatment, "+0", sep=""))
  mod2<-paste(resp, treatment, sep="~")
  ret<-(as.data.frame(model.matrix(mod1, model.frame(mod2, data=adf))))
  names(ret)<-gsub(treatment, "", names(ret))
  ret
}